org.modeshape.jcr

## Class JcrRepository.RunningState

- java.lang.Object
- - org.modeshape.jcr.JcrRepository.RunningState

- Enclosing class:
    JcrRepository

      @Immutable
      protected class JcrRepository.RunningState
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrRepository.RunningState()`
    `protected` | `JcrRepository.RunningState(JcrRepository.RunningState other, JcrRepository.ConfigurationChange change)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Credentials` | `anonymousCredentials()`
    `protected AuthenticationProviders` | `authenticators()`
    `protected BackupService` | `backupService()`
    `protected BinaryStore` | `binaryStore()`
    `protected void` | `bindIntoJndi()`
    `protected ChangeBus` | `changeBus()`
    `protected void` | `completeInitialization()` Performs the steps required after the running state has been created and before a repository is considered "initialized"
    `protected ChangeBus` | `createBus(RepositoryConfiguration.Clustering clusteringConfiguration, ExecutorService executor, String systemWorkspaceName, String processId)`
    `protected Transactions` | `createTransactions(RepositoryConfiguration.TransactionMode mode, SessionEnvironment.MonitorFactory monitorFactory, TransactionManager txnMgr)`
    `protected String` | `defaultWorkspaceName()`
    `protected DocumentStore` | `documentStore()`
    `protected Environment` | `environment()`
    `protected void` | `error(I18n message, Object... params)`
    `protected void` | `error(Throwable t, I18n message, Object... params)`
    `protected boolean` | `isFullTextSearchEnabled()`
    `protected org.modeshape.jcr.RepositoryLockManager` | `lockManager()`
    `protected Session` | `loginInternalSession()`
    `protected JcrSession` | `loginInternalSession(String workspaceName)`
    `protected MimeTypeDetector` | `mimeTypeDetector()`
    `protected org.modeshape.jcr.RepositoryNodeTypeManager` | `nodeTypeManager()`
    `protected NamespaceRegistry` | `persistentRegistry()`
    `protected void` | `postInitialize()` Perform any initialization code that requires the repository to be in a running state.
    `protected Problems` | `problems()`
    `protected String` | `repositoryKey()`
    `protected Sequencers` | `sequencers()`
    `protected void` | `shutdown()`
    `protected RepositoryStatistics` | `statistics()`
    `protected String` | `systemWorkspaceKey()`
    `protected String` | `systemWorkspaceName()`
    `protected TextExtractors` | `textExtractors()`
    `protected TransactionManager` | `txnManager()`
    `protected void` | `unbindFromJndi()`
    `protected boolean` | `useXaSessions()`
    `protected void` | `warn(I18n message, Object... params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcrRepository.RunningState

          protected JcrRepository.RunningState()
                                        throws Exception

      Throws:
        `Exception`

    - #### JcrRepository.RunningState

          protected JcrRepository.RunningState(JcrRepository.RunningState other,
                                    JcrRepository.ConfigurationChange change)
                                        throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### createTransactions

          protected Transactions createTransactions(RepositoryConfiguration.TransactionMode mode,
                                        SessionEnvironment.MonitorFactory monitorFactory,
                                        TransactionManager txnMgr)

    - #### completeInitialization

          protected final void completeInitialization()
                                               throws Exception

      Performs the steps required after the running state has been created and before a repository is considered "initialized"
      Throws:
        `Exception` - if anything goes wrong in this phase. If it does, the transaction used for startup should be rolled back

    - #### postInitialize

          protected final void postInitialize()
                                       throws Exception

      Perform any initialization code that requires the repository to be in a running state. The repository has been considered started up.
      Throws:
        `Exception` - if there is a problem during this phase.

    - #### sequencers

          protected final Sequencers sequencers()

    - #### useXaSessions

          protected final boolean useXaSessions()

    - #### documentStore

          protected final DocumentStore documentStore()

    - #### binaryStore

          protected final BinaryStore binaryStore()

    - #### mimeTypeDetector

          protected final MimeTypeDetector mimeTypeDetector()

    - #### textExtractors

          protected final TextExtractors textExtractors()

    - #### environment

          protected final Environment environment()

    - #### txnManager

          protected final TransactionManager txnManager()

    - #### nodeTypeManager

          protected final org.modeshape.jcr.RepositoryNodeTypeManager nodeTypeManager()

    - #### lockManager

          protected final org.modeshape.jcr.RepositoryLockManager lockManager()

    - #### systemWorkspaceName

          protected final String systemWorkspaceName()

    - #### systemWorkspaceKey

          protected final String systemWorkspaceKey()

    - #### defaultWorkspaceName

          protected final String defaultWorkspaceName()

    - #### persistentRegistry

          protected final NamespaceRegistry persistentRegistry()

    - #### authenticators

          protected final AuthenticationProviders authenticators()

    - #### statistics

          protected final RepositoryStatistics statistics()

    - #### anonymousCredentials

          protected final Credentials anonymousCredentials()

    - #### changeBus

          protected final ChangeBus changeBus()

    - #### repositoryKey

          protected final String repositoryKey()

    - #### isFullTextSearchEnabled

          protected final boolean isFullTextSearchEnabled()

    - #### backupService

          protected final BackupService backupService()

    - #### warn

          protected final void warn(I18n message,
                  Object... params)

    - #### error

          protected final void error(I18n message,
                   Object... params)

    - #### error

          protected final void error(Throwable t,
                   I18n message,
                   Object... params)

    - #### problems

          protected final Problems problems()

    - #### shutdown

          protected void shutdown()

    - #### bindIntoJndi

          protected void bindIntoJndi()

    - #### unbindFromJndi

          protected void unbindFromJndi()

    - #### loginInternalSession

          protected Session loginInternalSession()
                                          throws RepositoryException

      Throws:
        `RepositoryException`

    - #### loginInternalSession

          protected JcrSession loginInternalSession(String workspaceName)
                                             throws RepositoryException

      Throws:
        `RepositoryException`

    - #### createBus

          protected ChangeBus createBus(RepositoryConfiguration.Clustering clusteringConfiguration,
                            ExecutorService executor,
                            String systemWorkspaceName,
                            String processId)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.